@charset "UTF-8";

/* List fonts here, URL-escaped (+ for space) */
/* $FONTS: */


/* Selected text */
*::selection, input::selection {
  background: #800;
  color: #fff;
}

*::-moz-selection {
  background: #800;
  color: #fff;
}

/* defaults */
body {
  margin: 0;
  padding: 0;
  background-color: #fff;
  font-family: "Open Sans", sans-serif;
  font-size: 12pt;
  color: #333;
  box-sizing: border-box;
  overflow-x: hidden;
}

#page {
  display: flex;
  flex-wrap: wrap;
  font-family: monospace;
  font-size: 20px;
  justify-content: center;
  font-family: 'VT323', monospace;
}

#page>div {
  margin-right: 1rem;
  padding: 0 1px;
}

#page>a {
  margin-right: 1rem;
  background: #333;
  color: #fff;
  text-decoration: none;
  padding: 0 1px;
}

/*" back to top" arrow */
#up-arrow {
  position: fixed;
  font-size: 0;
  bottom: 10px;
  right: -100px;
  height: 60px;
  width: 60px;
  opacity: 0;
  cursor: pointer;
  transition: right 0.4s, opacity 0.3s, background 0.3s;
  z-index: 10000;

  border: 1px solid #fff;
  background: #aaa;
  color: #fff;
  border-radius: 30px;
}

#up-arrow:after {
  display: block;
  position: absolute;
  content: '';
  top: calc(50% - 10px);
  left: calc(50% - 8px);
  border-top: 0;
  border-bottom: 16px solid #000;
  border-left: 8px solid transparent;
  border-right: 8px solid transparent;
}

body.menu-scrolled #up-arrow:hover {
  background: #fff;
}

body.menu-scrolled #up-arrow {
  right: 10px;
  opacity: 1;
}

/** Cookie warning */
.flexi-cookie {
  position: fixed;
  bottom: 10px;
  left: 10px;
  padding: 0 10px 10px;
  border: 1px solid #333;
  background: #fff;
  text-align: center;
  border-radius: 2px;
  z-index: 10000;
}

body {
  padding-left: 300px;
  border-left: 10px solid #fff;
}

body.noleft {
  padding-left: 0;
}

/** Menu */

.menubar {
  position: fixed;
  top: 0;
  left: 0;
  width: 300px;
  box-sizing: border-box;
  height: 100vh;
  overflow-y: auto;
  background: #fff;
  padding-right: 10px;
}

.menubar::before {
  color: #800;
  padding: 30pt 10px;
  font-size: 24pt;
  font-weight: bold;
  content: 'Raisa Watkiss';
  text-align: center;
  display: block;
}

/* bar items */

nav.menu>span.item {
  display: block;
}

nav.menu>span.item>a {
  color: #800;
  transition: background 0.3s, color 0.3s;
  padding: 10px 20px;
  display: block !important;
}

nav.menu>span.item>a:hover {
  text-decoration: underline;
}

/* submenus */

nav.menu>span.item>span.submenu {
  background: #fff;
  padding: 10px;
  box-sizing: border-box;
}

nav.menu span.item span.submenu a,
nav.menu span.item.subitem {
  display: block;
}

nav.menu span.item span.submenu a {
  background: #eee;
  color: #333;
  transition: background 0.3s, color 0.3s;
  padding: 10px;
}

nav.menu span.item span.submenu a:hover {
  background: #aaa;
}

/** Flyout buttons */

.menu-toggle-button {
  display: none !important;
  text-align: center !important;
  border-top: 0 !important;
  border-left: 0 !important;
  border-right: 0 !important;
  width: 100vw !important;
  padding-left: 0 !important;
  padding-right: 0 !important;
}

.button.flyo-show {
  position: fixed;
  top: 0;
  right: 0;
  border-radius: 0;
  border-top: none;
  border-right: none;
}

.button.flyo-hide {
  border-radius: 0;
  border-top: 0;
  border-left: 0;
  border-right: 0;
}

.flyo-header {
  text-align: center;
  padding: 15px 5px;
  color: #800;
  font-size: 20pt;
}

/** Flexi widgets */
.flexi-system-widgets {
  padding: 2px 0;
  text-align: center;
  font-size: 0;
}

.flexi-system-widget {
  display: inline-block;
  border-left: 1px solid #333;
  padding: 5px 10px;
  font-size: 12pt;
}

.flexi-system-widget:first-child {
  border-left: 0;
}

/** General content styles */

hr {
  border: none;
  border-top: 1px solid #800;
  margin: 30px 0;
}

/** Remove top margin from the first element */
.content *:first-child {
  margin-top: 0;
}

/** Important for breakout/breakins */
.content:empty {
  display: none;
}

.content a {
  color: #800;
  transition: color 0.3s;
}

.content a:hover {
  color: #600;
}

.footer {
  color: #333;
  background: #fff;
  position: relative;
  padding: 20px 0;
}

.col2.right {
  text-align: right;
}

.footer a {
  color: #333;
  transition: color 0.3s;
  text-decoration: none;
}

.footer a:hover {
  color: #666;
}

span.powered {
  display: inline-block;
  margin-left: 1em;
}

/** Buttons and button-type things */
button, input[type="submit"], .button, .formandu-button, input[type="button"], a.button, .eshop_userauth_buttonbox a {
  background: #fff;
  border: 1px solid #800;
  color: #800;
  transition: background 0.3s;
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
  -ms-appearance: none;
  padding: 10px 20px;
  display: inline-block;
  text-decoration: none;
  cursor: pointer;
  font-size: 12pt;
  font-family: "Open Sans", sans-serif;
}

button:hover, input[type="submit"]:hover, .button:hover, .formandu-button:hover, input[type="button"]:hover, a.button:hover, .eshop_userauth_buttonbox a:hover {
  background: #eee;
  color: #800;
}

/** Text controls */
.formandu-text, .formandu-dropdown, .formandu-textarea, select {
  background: #fff;
  color: #333;
  border: 1px solid #333;
  transition: border 0.3s;
  font-size: 12pt;
  margin: 10px;
  padding: 8px;
  width: calc(100% - 20px);
  box-sizing: border-box;
}

.formandu-text:hover, .formandu-text:focus, .formandu-dropdown:hover, .formandu-dropdown:focus, .formandu-textarea:hover, .formandu-textarea:focus, select:hover, select:focus {
  border: 1px solid #800;
}

/*******************************************************************************
 ** Responsive */

/** Phone/tablet */

@media (max-width: 1000px) {
  .content.brokenout .pb-block-outer>div, .wrapper, .flexi-cookie-inner {
    width: 100%;
  }
  #up-arrow, .search .form {
    display: none;
  }
}

/** Menus */

@media (max-width: 975px) {
  body {
    padding-left: 0 !important;
    border: 0 !important;
  }
  .header {
    padding-top: 20px;
  }
  .menubar {
    display: none;
    position: static;
    width: 100vw;
    height: auto;
    border: 0;
    overflow-x: hidden;
  }
  .menubar::before {
    padding: 10pt 10px;
    font-size: 24pt;
    border-bottom: 1px solid #800;
    width: 100vw;
  }
  .responsive-menu-toggle {
    display: none;
  }
  nav.menu {
    padding: 0;
    background: #fff;
    text-align: left;
    display: block !important;
  }
  nav.menu span.item span.submenu a, nav.menu>span.item>a, nav.menu>span.item.has-submenu>a:hover {
    text-align: center;
    background: #fff;
    color: #333;
    padding: 20px 0;
    transition: background 0.3s, color 0.3s;
  }

  nav.menu span.item span.submenu a:hover , nav.menu>span.item>a:hover {
    background: #ddd;
  }

  nav.menu.flyout span.item span.submenu {
    padding: 0 0 5px 20px;
  }
  .menu-toggle-button {
      display: block !important;
  }
}

/** Big phone */

@media (max-width: 750px) {
  .formandu-text, .formandu-textarea, .formandu-dropdown, .formandu-static-text, .formandu-listbox {
    width: 95%;
  }
  .footer {
    padding: 0 5px;
  }
  .flexi-cookie-msg {
    float: none;
    font-size: 0.8em;
    padding: 0;
    width: auto;
  }
  .flexi-cookie-buttons {
    width: auto;
    float: none;
    text-align: center;
    padding: 5px 0;
  }
}

/** Small phone */

@media (max-width: 600px) {
  .content h1, .content h2, .content h3, .content p {
    padding-left: 3px;
    padding-right: 3px;
  }
  .footer, .col2.right, .header {
    text-align: center;
  }
  .flexi-system-widgets {
    border-top: 1px solid #333;
    border-bottom: 1px solid #333;
  }
  .flexi-system-widget {
    border-left: 0;
    display: block;
  }
  span.powered {
    display: block;
    margin-left: 0;
  }
}

